#!/bin/sh

APP_NAME=rfsd
if dirname "$0" 1>/dev/null 2>/dev/null; then
    SH_DIR="$(cd "$(dirname "$0")";pwd)"
    cd $SH_DIR
fi

. ./rfsd-inc.sh
init_env

if [ "$1" = "-s" ]; then
    tpwd=$(./$APP_NAME -q -p | grep rfsd_login_passwd)
    tpwd=${tpwd#*=}
    [ "$tpwd" != "''" ] && exit 0
fi

$sudoprefix ./rfsd -q -s create_user_pwd=1
echo "=============================================="
user=$(./$APP_NAME -q -p | grep rfsd_login_user)
pwd=$(./$APP_NAME -q -p | grep rfsd_login_passwd)
echo " user= ${user#*=} "
echo " pwd= ${pwd#*=} "
echo "=============================================="

